
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>嵌入式Linux设置PATH / iVAN</title>

    <meta name="description" content="嵌入式Linux设置PATH 博主现在所做开发的平台为一个Realtek的SDK.由于某些需要,要将 /usr/local/bin 加入到 PATH 环境变量中. 该嵌入式Linux的文件系统中没有 /etc/profile 类似的文件,只有 /etc/rcS.博主发现在 /etc/rcS 里添加 `PATH=$PATH:/usr/local/bin` 并没能使之在串口终端上生效. 博主思来想去,为什么系统默认 PATH 就是:`/bin:/sbin/:/usr/bin` ?在哪指定的? 博主最终在 busybox 中找到原">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">嵌入式Linux设置PATH</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>博主现在所做开发的平台为一个Realtek的SDK。由于某些需要，要将 /usr/local/bin 加入到 PATH 环境变量中。</p>
<p>该嵌入式Linux的文件系统中没有 /etc/profile 类似的文件，只有 /etc/rcS。博主发现在 /etc/rcS 里添加 `PATH=$PATH:/usr/local/bin` 并没能使之在串口终端上生效。</p>
<p>博主思来想去，为什么系统默认 PATH 就是：`/bin:/sbin/:/usr/bin` ？在哪指定的？</p>
<p>博主最终在 busybox 中找到原由。由于嵌入式Linux系统启动后调用的 init 命令其实就是 busybox 中的一个子命令。</p>
<p><a href="http://static.oschina.net/uploads/space/2015/0914/110204_r6oM_243525.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLm9zY2hpbmEubmV0L3VwbG9hZHMvc3BhY2UvMjAxNS8wOTE0LzExMDIwNF9yNm9NXzI0MzUyNS5wbmc=.jpg"></a></p>
<p>在 init 命令中，对系统进行初始化。其中就包括了 PATH 环境变量。</p>
<p>在busybox/libbb/messages.c 中有如下：</p>
<p><a href="http://static.oschina.net/uploads/img/201509/14110446_TItq.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLm9zY2hpbmEubmV0L3VwbG9hZHMvaW1nLzIwMTUwOS8xNDExMDQ0Nl9USXRxLmpwZw==.jpg"></a></p>
<p>可以看出，如果我们想再添加了一个路径，就要改 BB_ADDITIONAL_PATH 宏。</p>
<p>而这个宏在 busybox/include/platform.h 中定义：</p>
<p><a href="http://static.oschina.net/uploads/img/201509/14110446_4390.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLm9zY2hpbmEubmV0L3VwbG9hZHMvaW1nLzIwMTUwOS8xNDExMDQ0Nl80MzkwLmpwZw==.jpg"></a></p>
<p>这个好像只是针对 Android 平台的。</p>
<p>如果上面没有对 `BB_ADDITIONAL_PATH` 进行定义，那么在 busybox/libbb/messages.c 中会默认定义它，只是默认为空。</p>
<p>我们在这里改一下：</p>
<p><a href="http://static.oschina.net/uploads/img/201509/14110447_XT4Z.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLm9zY2hpbmEubmV0L3VwbG9hZHMvaW1nLzIwMTUwOS8xNDExMDQ0N19YVDRaLmpwZw==.jpg"></a></p>
<p>如此以来，系统启动后，PATH的值便是："/sbin:/usr/sbin/:/bin:/usr/bin:/usr/local/bin" 了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-03 16:04:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/path/" title="path">path</a>, <a href="https://www.iamivan.net/tag/%e5%b5%8c%e5%85%a5%e5%bc%8flinux/" title="嵌入式linux">嵌入式linux</a>, <a href="https://www.iamivan.net/tag/busybox/" title="busybox">busybox</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>嵌入式Linux设置PATH的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b24owrp.html" rel="bookmark">嵌入式linux中设置开机运行shell脚本的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 嵌入式linux中设置开机运行shell脚本的问题 想写一个设置静态ip的开机自运行的shell脚本,然后百度说放在rc.local什么的文件里,然后我的板子里/etc 下根本没有这个文件,请大神们指点我应该怎么办? /etc 下只有fstab hosts host.conf group init.d inittab ld.so.conf mdev.conf profile passwd resolv.conf services 解决方案 输入命令 vi /etc/network/in			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAAxgAM.html" rel="bookmark">gdbserver远程调试嵌入式linux应用程序方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				此处所讲的是基于gdb和gdbsever的远程调试方法.环境为:PC机:win7.虚拟机:10.04.下位机:飞嵌TE2440开发板.   嵌入式linux应用程序的开发一般都是在linux里面编写好代码,并用交叉编译器arm-linux-gcc编译好之后再下载到板子上运行.如果建立了远程调试(能够在PC机ubuntu中调试板子中的linux应用程序),这样对于开发程序是极其方便的.   以下是摘自网络上的一些方法.其中加入了自己所遇到的一些问题,并提出了解决方法.   1.首先建立nfs文件系			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkWjvp.html" rel="bookmark">《嵌入式 Linux应用程序开发标准教程（第2版）》&mdash;&mdash;2&period;1 Linux常用命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.1 Linux常用命令 嵌入式 Linux应用程序开发标准教程(第2版) 在安装完Linux再次启动之后,就可以进入到与Windows类似的图形化界面了.这个界面就是Linux图形化界面X窗口系统(简称X)的一部分.要注意的是,X窗口系统仅仅是Linux上面的一个软件(或者也可称为服务),它不是Linux自身的一部分.虽然现在的X窗口系统已经与Linux整合得相当好了,但毕竟还不能保证绝对的可靠性.另外,X窗口系统是一个相当耗费系统资源的软件,它会大大地降低Linux的系统性能.因此,若是希			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAk7Qnz.html" rel="bookmark">《嵌入式 Linux应用程序开发标准教程（第2版）》&mdash;&mdash;2&period;4 实验内容</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.4 实验内容 嵌入式 Linux应用程序开发标准教程(第2版) 2.4.1 在Linux下解压常见软件 1．实验目的 在Linux下安装一个完整的软件(嵌入式Linux的必备工具--交叉编译工具),掌握Linux常见命令,学会设置环境变量,同时搭建起嵌入式Linux的交叉编译环境(关于交叉编译的具体概念在本书后面会详细讲解),为今后的实验打下良好的基础. 2．实验内容 在Linux中解压cross-3.3.2.tar.bz2,并添加到系统环境变量中去. 3．实验步骤 (1)将光盘中的cros			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2ZavM.html" rel="bookmark">嵌入式linux的tftp安装配置及tftp命令用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				TFTP协议简介 TFTP是用来下载远程文件的最简单网络协议,它其于UDP协议而实现.嵌入式linux的tftp开发环境包括两个方面:一是linux服务器端的tftp-server支持,二是嵌入式目标系统的tftp-client支持.因为u-boot本身内置支持tftp-client,所以嵌入式目标系统端就不用配置了.下面就详细介绍一下linux服务器端tftp-server的配置. 1.安装tftp服务器 需要安装xinetd.tftp和tftp-server 3个软件 1)如果能上网,通过y			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p52qKqz.html" rel="bookmark">《嵌入式Linux开发实用教程》&mdash;&mdash;1&period;3 arm-linux交叉编译链</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 arm-linux交叉编译链 平常我们做的编译叫本地编译,也就是在当前平台编译,编译得到的程序也是在本地执行.相对而言的交叉编译指的是在一个平台上生成另一个平台的可执行代码. 常见的交叉编译有以下3种. 在Windows PC上,利用ADS(ARM 开发环境),使用armcc编译器,编译出针对ARM CPU的可执行代码. 在Linux PC上,利用arm-linux-gcc编译器,编译出针对Linux ARM平台的可执行代码. 在Windows PC上,利用cygwin环境,运行arm-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO233qp.html" rel="bookmark">嵌入式Linux上通过boa服务器实现cgi&sol;html的web上网【转】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://blog.csdn.net/tianmohust/article/details/6595996 版权声明:本文为博主原创文章,未经博主允许不得转载.   嵌入式Linux上通过boa服务器实现cgi/html的web上网简介: 第一步 Boa程序的移植 1．下载Boa源码 2.生成Makefile文件 3.修改Makefile文件 4.编译 第二步 Boa的配置 第三步boa的执行 1．将根文系统ramdisk在电脑主机上mount &amp;nda  嵌入式linux上通过boa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQNdXWM.html" rel="bookmark">嵌入式Linux系统OpenWRT路由的基本配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  OpenWRT是一个嵌入式Linux系统,想要了解嵌入式Linux系统的朋友有福了,今天小编要给大家介绍下OpenWRT路由的基本配置,一起来学习下吧. chnroutes 路由表 这个路由表集中了所有分配到中国大陆的 IP 段,根据 http://ftp.apnic.net/apnic/stats/apnic/delegated-apnic-latest 每天自动更新,可使得在访问国内地址时不经过 VPN. 想想如果能够让家里的路由直接连接 VPN,在家连接 WiFi 的所有设备直接达到F			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr3LGxp.html" rel="bookmark">《嵌入式Linux开发实用教程》&mdash;&mdash;1&period;1 Linux基本命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.1 Linux基本命令 嵌入式Linux开发实用教程 在学习嵌入式Linux开发的过程中,将经常使用到Linux的操作命令.实际上,Linux系统中的命令也是为实现特定的功能而编写的,而且绝大数的命令是用C语言编写的.有些实用性强的程序被广泛使用和传播,逐渐地演变成Linux的标准命令.但是Linux的操作命令繁多,本节将在U-Boot.Linux移植过程中常用到的Linux操作命令罗列出来进行讲解,为后续的学习做良好的铺垫.读者不要认为这是Linux简单命令则不屑一顾,嵌入式Linux学习			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKWabN.html" rel="bookmark" class="title">&lbrack;数据结构&rsqb; 冒泡排序</a>
					<div>
						概述 冒泡排序通过重复地走访过要排序的数列,一次比较两个元素,如果他们的顺序错误就把他们交换过来,直到没有再需要交换的元素为止(对n个项目需要O(n^2)的比较次数).这个算法的名字由来是因为越小的元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqDGKb.html" rel="bookmark" class="title">PS合成抽象的树头像</a>
					<div>
						抽象合成跟平常的合成方法一样,只是构思的时候思维跳跃性要大一点,把一些不相干的东西巧妙的组合在一起,经过溶图,润色及处理细节等,让效果看上去非常有趣. 最终效果 1.新建1000*1000像素背景图层 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqJXep.html" rel="bookmark" class="title">理性思考Flash与Ajax相关问题</a>
					<div>
						ajax|问题 此文写于购&lt;交互设计之路-让高科技产品回归人性&gt;.&lt;Ajax in Action&gt;两书之后. 我实在是不愿冠以这样一个标题,但危机已经来临.之前(2005-04 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqvZZp.html" rel="bookmark" class="title">c&num;中通过值和引用传递参数&lpar;downmoon&rpar;</a>
					<div>
						c#中通过值和引用传递参数(downmoon)在 C# 中,既可以通过值也可以通过引用传递参数.通过引用传递参数允许函数成员(方法.属性.索引器.运算符和构造函数)更改参数的值,并保持该更改.若要通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4lD1z.html" rel="bookmark" class="title">百度谷歌关键词排名看搜索引擎的更新规律</a>
					<div>
						百度谷歌对于关键词的排名都有自己的一套算法.百度注重网站权重,谷歌注重文章质量,当然这都是对于一些竞争性比较小的长尾关键词;而对于百度谷歌对于关键词的排名有一个截然不同的周期,同样的关键词,在百度取得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2Xd4b.html" rel="bookmark" class="title">谈表达式树的缓存（7）：五种缓存方式的总体分析及改进方案</a>
					<div>
						终于到了这个系列的最后一篇文章了,这个系列的文章本是许多话题的基础,却拖了那么长时间还没 有完结.这篇文章主要讨论五种缓存方式各自的优劣,以及他们的性能关键在什么地方,如果要进行改进 又有什么可选方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKJXmM.html" rel="bookmark" class="title">微软提供的&period;NET数据访问层组件</a>
					<div>
						摘要:Data Access Application Block 是一个 .NET 组件,包含优化的数据访问代码,可以帮助用户调用存储过程以及向 SQL Server 数据库发出 SQL 文本命令.它 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdmDaM.html" rel="bookmark" class="title">Win7系统无法在桌面上存放文件如何解决</a>
					<div>
						1.按Win+R键,打开运行,输入regedit,回车进入注册表编辑器; 2.展开至HKEY_CURRENT _USERsoftwareMicrosoftWindowsCurrentVersionPo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJQ9Ep.html" rel="bookmark" class="title">Win8使用远程桌面连接受到防火墙阻止的解决方法</a>
					<div>
						  Win8系统自从多了个内置的防火墙之后,各种功能各种阻止啊.这不,一使用远程桌面连接就受到防火墙的阻止了.如何处理呢?一般只需要解除防火墙阻止就可以了. 具体步骤如下: 1.将Win8系统控制面板 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYavrM.html" rel="bookmark" class="title">人人车打造一个买家和卖家直接交易的P2P二手车市场</a>
					<div>
						摘要: 对二手市场最经典的描述,当属阿克尔洛夫的柠檬效应:在二手交易中,卖方对商品有充分的信息掌握,居于信息优势:买方只能通过片面迹象推断商品状况,居于信息弱势:买方知道 对二手市场最经典的描述,当属 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6nk8b.html" rel="bookmark" class="title">IIS教程：因权限问题被拒绝访问的解决方案</a>
					<div>
						 写了一个类IISAdmin,负责建立.设置.删除虚拟目录,发现在web中调用,遇到权限问题,解决方法如下(转载): 下面代码在ASP.NET中,会因权限问题被拒绝访问.  以下为引用的内容: Sys ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA8WnM.html" rel="bookmark" class="title">IOS获取通讯录联系人信息</a>
					<div>
						IOS获取系统通讯录联系人信息 一.权限注册 随着apple对用户隐私的越来越重视,IOS系统的权限设置也更加严格,在获取系统通讯录之前,我们必须获得用户的授权.权限申请代码示例如下: ? 1 2 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXw2LyM.html" rel="bookmark" class="title">世界机器人大会闭幕 我国人工智能技术商用化优势突显</a>
					<div>
						第二届世界机器人大会10月25日在北京顺利闭幕,成果丰硕.虽然今年会址迁至偏僻的亦庄开发区,但领导的关怀.大咖演讲的精彩程度.国内外企业的参与热情以及观众们的跃跃欲试之心有增无减. 当前互联网时代已进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRq4yxb.html" rel="bookmark" class="title">lockcanvas-一个关于android surfaceView的问题，求大神回答</a>
					<div>
						问题描述 一个关于android surfaceView的问题,求大神回答 surfaceView据说双缓存,两画布换来换去,但是我post后画布有时候还有有时候就没了 surfaceCreated方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lKyjb.html" rel="bookmark" class="title">java基础-对于这段图灵机器人调用代码，我不太理解，可以帮帮我么？</a>
					<div>
						问题描述 对于这段图灵机器人调用代码,我不太理解,可以帮帮我么? 主类 enter code here package zlexample.tuling; import android.os.Bund ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl7y9b.html" rel="bookmark" class="title">Scoped CSS 与 Github 挂件</a>
					<div>
						最近协助小师妹搭建 Hexo 博客的时候,发现官网的插件列表里面多出了好些插件,其中有一个酷炫的 Github 挂件让我心动不已. 之前我用的 Github 挂件是从开源中国社区的页面上抠下来的,勉强 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJka67b.html" rel="bookmark" class="title">程序不包含适合于入口点的静态&OpenCurlyDoubleQuote;Main&rdquo;方法</a>
					<div>
						问题描述 usingSystem;namespacemyprogram{classprogram{voidPrintNums(){Console.WriteLine(&quot;123&quot;); ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB16loz.html" rel="bookmark" class="title">安卓项目如何设置才能实现在应用安装完后默认选中后台运行选项</a>
					<div>
						问题描述 安卓项目如何设置才能实现在应用安装完后默认选中后台运行选项 如题: 解决方案 终于解决这个问题了,此问题解决方法是.必需和系统厂商合作,让你的app成为系统的白名单用户. 解决方案二: 自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj18yM.html" rel="bookmark" class="title">你不知道的网络安全威胁：黑客尝试入侵酒店客房与POS系统</a>
					<div>
						来自Rapid7公司的安全研究人员Weston Hecker开发出一款成本仅为6美元的工具,但其足以开启酒店房门及攻克销售点系统. 相信没人指望酒店的电子锁能挡得住黑客们的入侵--但真正令人惊讶的是, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWJm5z.html" rel="bookmark" class="title">IOS 30多个iOS常用动画，带详细注释</a>
					<div>
						[cpp] view plaincopy //   //  CoreAnimationEffect.h   //  CoreAnimationEffect   //   //  Created by  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94q8Kb.html" rel="bookmark" class="title">PS&OpenCurlyDoubleQuote;图像&rdquo;菜单的使用技巧</a>
					<div>
						  PS&quot;图像&quot;菜单的使用技巧           &quot;图像&quot;菜单 &quot;图像&quot;菜单中的命令主要是对图片进行调整的,包括图片的大小.颜色.明暗关系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0AqnM.html" rel="bookmark" class="title">JetBrains 为学生教师推出免费 Student License</a>
					<div>
						JetBrains 一直在不断的创新,不断的留意用户的各种反馈,有谁会想到一条推特在一周后,JetBrains 就把它变成了现实? 所有的事物都是从学习开始的,而我们年轻时候所学的将会影响我们的未来, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7wqmp.html" rel="bookmark" class="title">Ubuntu系统启动和停止守护进程</a>
					<div>
						对于守护进程,一个比较简单的定义是:守护进程是一种即使没有人登录进入你的系统也会在无人值守的情况下运行的程序.比较常见的守护进程有syslog 守护进程用于收集系统出错信息并将其写入日志文件; 还有  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0dyyp.html" rel="bookmark" class="title">Linux</a>
					<div>
						Java代码   Linux给用户添加sudo权限 2011-02-18 13:02:53   分类: LINUX   linux给用户添加sudo权限:    有时候,linux下面运行sudo命令 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgXZvM.html" rel="bookmark" class="title">《刀见笑》上海宣传彭浩翔叹演员&OpenCurlyDoubleQuote;不常规&rdquo;</a>
					<div>
						乌尔善 彭浩翔讲话 两人合影 乌尔善和彭浩翔 新浪娱乐讯 由张雨绮.安藤政信.游本昌领衔主演的先锋武侠喜剧&lt;刀见笑&gt;即将3月17日公映,该片导演乌尔善3月7日只身前往上海宣传.此前乌尔善在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYJA9b.html" rel="bookmark" class="title">究竟什么是Node&period;js？Node&period;js有什么好处？&lowbar;node&period;js</a>
					<div>
						Node 是一个服务器端 JavaScript 解释器,它将改变服务器应该如何工作的概念.它的目标是帮助程序员构建高度可伸缩的应用程序,编写能够处理数万条同时连接到一个(只有一个)物理机的连接代码.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvDVoM.html" rel="bookmark" class="title">关于c&plus;&plus; socket套接字</a>
					<div>
						问题描述 关于c++ socket套接字 char buff[1024] = &quot;hello,i am v &quot;; char buff2[512]; cin &gt;&gt; buff ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYqlLb.html" rel="bookmark" class="title">asp&period;net c&num;封装的一个xml文件读取类</a>
					<div>
						A:在XML文件中有多个集,每个集里面包含多个节点. B:可根据集的名字的取出这个集合下面的所有节点值 C:可一次性取出所有的节点值 D:其中有一个是无限拓展的就是:表达式 E:把集合读取到一个模型( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYQJ1b.html" rel="bookmark" class="title">日本研究人员开发用iPhone远程抚摸亲人&lpar;图&rpar;</a>
					<div>
						每逢佳节倍思亲.那些远在千里之外的恋人啊,家人啊,怎样传递思念之情?当然,你可以打飞的相见,但是--有没有更科技化的办法?当然有. 近日,日本一所大学的研究人员正在利用iPhone研究一种看似比较荒谬 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6XEQM.html" rel="bookmark" class="title">《精通Nginx》&mdash;&mdash;1&period;2 从源代码安装Nginx</a>
					<div>
						1.2 从源代码安装Nginx Nginx代码提供了两个独立的下载分支-标准版和开发版.开发分支是一个正处于积极开发状态的版本.在这个版本中将会有一些新的功能被集成到其中,在标准版中是找不到这些功能的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
